OrthancPluginHttpRequest Struct Reference
Toolbox | Callbacks

The parameters of a REST request.

`#include <OrthancCPlugin.h>`

## Public Attributes

OrthancPluginHttpMethod | method
| The HTTP method.
uint32_t | groupsCount
| The number of groups of the regular expression.
const char *const * | groups
| The matched values for the groups of the regular expression.
uint32_t | getCount
| For a GET request, the number of GET parameters.
const char *const * | getKeys
| For a GET request, the keys of the GET parameters.
const char *const * | getValues
| For a GET request, the values of the GET parameters.
const char * | body
| For a PUT or POST request, the content of the body.
uint32_t | bodySize
| For a PUT or POST request, the number of bytes of the body.
uint32_t | headersCount
| The number of HTTP headers.
const char *const * | headersKeys
| The keys of the HTTP headers (always converted to low-case).
const char *const * | headersValues
| The values of the HTTP headers.

The documentation for this struct was generated from the following file:

- OrthancCPlugin.h